Public Class Form1

    Dim numbers(100) As Double
    Dim numItems As Integer

    Private Function ExtractLine(ByVal text As String, ByRef line As String, ByRef startPos As Integer, ByRef foundPos As Integer) As Boolean
        ' find the next occurrence of the new line char
        foundPos = text.IndexOf(ControlChars.NewLine, startPos)
        ' check if it was found
        If foundPos = -1 Then
            Return False
        Else
            ' pull out the current line of the file
            line = text.Substring(startPos, foundPos - startPos)
            ' update the starting point for search
            startPos = foundPos + 2
            Return True
        End If
    End Function


    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim allText As String
        Dim lineExists As Boolean
        Dim current As String
        Dim start As Integer = 0
        Dim foundPos As Integer

        ' check if file exists
        If My.Computer.FileSystem.FileExists("numbers.txt") Then

            ' read the file contents
            allText = My.Computer.FileSystem.ReadAllText("numbers.txt")

            ' while not at end, extract line
            Do
                lineExists = ExtractLine(allText, current, start, foundPos)
                If lineExists Then
                    ' stick the line in the list box
                    rtbData.AppendText(current & ControlChars.NewLine)
                    Dim isConverted As Boolean
                    isConverted = Double.TryParse(current, numbers(numItems))
                    If isConverted Then
                        numItems = numItems + 1
                    End If

                End If
            Loop While lineExists
        Else
            MsgBox("Please put the numbers.txt file in the bin folder for the project")
        End If

    End Sub

    Private Sub btnQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnQuit.Click
        Me.Close()

    End Sub
End Class
